#delimit ;

set linesize 150;


use scandals_primaries_replication, clear;


/********** FOR TABLE 1 **********/

capture log close;
log using scandals_primaries_replication.txt, text replace;

forvalues i = 1(1)5 {;
  if `i'==1 {;
    local dv VPCT_P_ALL_NC100;
  };
  if `i'==2 {;
    local dv N;
  };
  if `i'==3 {;
    local dv u_p;
  };
  if `i'==4 {;
    local dv goodchall_P_max_NC0;
  };
  if `i'==5 {;
    local dv w_pr;
  };
  reg  `dv'  scand  L_VPCT_P_ALL_NC100  L_u_p  L_N  L_inc  dem_rep_oth               if (inc > 0 & inc !=. ) & two_incumbs_P != 2, robust;
   local b_`i'_1 = _b[scand];
   local s_`i'_1 = _se[scand];
   local n_`i'_1 = _result(1);
  reg  `dv'  scand  L_VPCT_P_ALL_NC100  L_u_p  L_N  L_inc  dem_rep_oth  t_1          if (inc > 0 & inc !=. ) & two_incumbs_P != 2, robust;
  reg  `dv'  scand  L_VPCT_P_ALL_NC100  L_u_p  L_N  L_inc  dem_rep_oth  t_1 t_2      if (inc > 0 & inc !=. ) & two_incumbs_P != 2, robust;
  reg  `dv'  scand  L_VPCT_P_ALL_NC100  L_u_p  L_N  L_inc  dem_rep_oth  t_1 t_2 t_3  if (inc > 0 & inc !=. ) & two_incumbs_P != 2, robust;
   local b_`i'_2 = _b[scand];
   local s_`i'_2 = _se[scand];
   local n_`i'_2 = _result(1);
 };

forvalues i = 6(1)7 {;
  if `i'==6 {;
    local dv VPCT_G_ALL_NC100;
  };
  if `i'==7 {;
    local dv w_g;
  };
  reg  `dv'  scand  L_VPCT_G_ALL_NC100  L_inc  dem_rep_oth  ip_1 ip_2  if (inc > 0 & inc !=. ) & two_incumbs_G != 2, robust;
   local b_`i'_1 = _b[scand];
   local s_`i'_1 = _se[scand];
   local n_`i'_1 = _result(1);
  areg `dv'  scand  L_VPCT_G_ALL_NC100  L_inc  dem_rep_oth  ip_1 ip_2  if (inc > 0 & inc !=. ) & two_incumbs_G != 2, a(iyear) robust;
   local b_`i'_3 = _b[scand];
   local s_`i'_3 = _se[scand];
   local n_`i'_3 = _result(1);
};


/********** FOR TABLE 2 **********/

forvalues i = 1(1)5 {;
  if `i'==1 {;
    local dv VPCT_P_ALL_NC100;
  };
  if `i'==2 {;
    local dv N;
  };
  if `i'==3 {;
    local dv u_p;
  };
  if `i'==4 {;
    local dv goodchall_P_max_NC0;
  };
  if `i'==5 {;
    local dv w_pr;
  };
  reg  `dv'  scand_ip50  scand  ip50  L_VPCT_P_ALL_NC100  L_u_p  L_N  L_inc  dem_rep_oth               if (inc > 0 & inc !=. ) & two_incumbs_P != 2, robust;
   local b_`i'_11 = _b[scand_ip50];
   local s_`i'_11 = _se[scand_ip50];
   local b_`i'_12 = _b[scand];
   local s_`i'_12 = _se[scand];
   local b_`i'_13 = _b[ip50];
   local s_`i'_13 = _se[ip50];
   local n_`i'_1 = _result(1);
  reg  `dv'  scand_ip50  scand  ip50  L_VPCT_P_ALL_NC100  L_u_p  L_N  L_inc  dem_rep_oth  t_1          if (inc > 0 & inc !=. ) & two_incumbs_P != 2, robust;
  reg  `dv'  scand_ip50  scand  ip50  L_VPCT_P_ALL_NC100  L_u_p  L_N  L_inc  dem_rep_oth  t_1 t_2      if (inc > 0 & inc !=. ) & two_incumbs_P != 2, robust;
  reg  `dv'  scand_ip50  scand  ip50  L_VPCT_P_ALL_NC100  L_u_p  L_N  L_inc  dem_rep_oth  t_1 t_2 t_3  if (inc > 0 & inc !=. ) & two_incumbs_P != 2, robust;
  if `i'==1 {;
    gen reg_sample = e(sample);
  };
   local b_`i'_21 = _b[scand_ip50];
   local s_`i'_21 = _se[scand_ip50];
   local b_`i'_22 = _b[scand];
   local s_`i'_22 = _se[scand];
   local b_`i'_23 = _b[ip50];
   local s_`i'_23 = _se[ip50];
   local n_`i'_2 = _result(1);
 };

forvalues i = 6(1)7 {;
  if `i'==6 {;
    local dv VPCT_G_ALL_NC100;
  };
  if `i'==7 {;
    local dv w_g;
  };
  reg  `dv'  scand_ip50  scand  ip50  L_VPCT_G_ALL_NC100  L_inc  dem_rep_oth  ip_1 ip_2  if (inc > 0 & inc !=. ) & two_incumbs_G != 2, robust;
   local b_`i'_11 = _b[scand_ip50];
   local s_`i'_11 = _se[scand_ip50];
   local b_`i'_12 = _b[scand];
   local s_`i'_12 = _se[scand];
   local b_`i'_13 = _b[ip50];
   local s_`i'_13 = _se[ip50];
   local n_`i'_1 = _result(1);
  areg `dv'  scand_ip50  scand  ip50  L_VPCT_G_ALL_NC100  L_inc  dem_rep_oth  ip_1 ip_2  if (inc > 0 & inc !=. ) & two_incumbs_G != 2, a(iyear) robust;
   local b_`i'_21 = _b[scand_ip50];
   local s_`i'_21 = _se[scand_ip50];
   local b_`i'_22 = _b[scand];
   local s_`i'_22 = _se[scand];
   local b_`i'_23 = _b[ip50];
   local s_`i'_23 = _se[ip50];
   local n_`i'_2 = _result(1);
};


log close;
